# Election 2020

## Summary of Process
This is the first election cycle for ArviZ. During this cycle we are aiming
for the following outcomes

* Ratification of GOVERNANCE.md
* Identification and listing of Core Contributors
* Nominations for Council Candidates
* Council Elections. Particularly
  * Size of Council
  * Inaugural ArviZ Council

This being the first election means that the process will have more steps than
the ones listed in GOVERNANCE.md.

The moderators for these tasks live in the PST and CST timezone so the dates are reflective of their localities.

## Process Details
### Identification of Core Contributors (June 7th)
1. A Google Form will be shared over Slack to get core contributor names, emails, and optionally Github username.
    * Emails are needed for Elections steps so NumFOCUS can mail and track votes
    * The Google Form is moderated by Ravin (@canyon289)
2. Ravin will open a Pull Request with all names and update the PR periodically until June 12th 8pm PST, which is also the cutoff time for the form.
    * On June 12th 8pm PST Ravin will make the form's responses public as well, with exception of email
3. The pull request will stay open 24 hours at a minimum. If there is no dissent the pull request will be merged. If there is discussion the timeline below will be shifted.

Note: This is a one time process for identifying core contributors. After this cycle the core contributor acceptance process will performed by the ArviZ Council once elected

### Nominations for Council (June 14th)
1. A github issue labeled *Arviz 2020 Council Elections* will be opened for nominations
2. Core contributors can nominate themselves or other core contributors.
3. Core Contributor must accept acknowledgement with thumbs up on nomination
   * Without an acknowledgement, they will not be a candidate in the election.
   * A nomination can be explicitly declined as well in a comment, if that individual
   feels they will not be able to serve as a Council Member for any reason.
4. Nominations end at June 20th anywhere on Earth. On June 21st nominations will be compiled in the last comment and the issue will be closed.

#### Historical Record
Nominations were completed on June 21st (PST). Conversation is tracked in issue ticket.
https://github.com/arviz-devs/arviz/issues/1243


### First Round Election for Council and Council size (Week of June 21)
The first election will be for council and council size. Elections will take place over
a Google Form owned by NumFOCUS. The tallying will be performed in accordance with `GOVERNANCE.md`

The election period will be exactly 7 days from when NumFOCUS email timestamp for the Google Form.

1. NumFOCUS will email all registered voters a ballot for a vote on
    * Council Size
    * Council Members
2. At conclusion of election period NumFOCUS will remove the voters identifying information and share the results (most likely in Google Sheets)
    * A table of results will be added to this document

### Tie Votes (1 week)
In the event of a tie there will be a run-off election. The specific timing will depend on the results of the election above.
The tallying will be performed in accordance with `GOVERNANCE.md`

1. NumFOCUS will email all registered voters a ballot for a vote on tied candidates
2. At conclusion of election period NumFOCUS will remove the voters identifying information and share the results (most likely in Google Sheets)
    * A table of results will be added to this document
